/*
 * Copyright INBRAIN-Neuroelectronics 2021-2023
 * All rights reserved
 */

#ifndef CIT_COMMON_H
#define CIT_COMMON_H

#ifdef   __cplusplus
extern "C"
{
#endif

#define CIT_COMM_FRAME_LEN 7
#define CIT_COMM_REPLY_LEN 7

#define CIT_COMM_MAX_DATA_LEN 55

#define CIT_CMD_PREAMBLE  0xC0
#define CIT_CMD_MASK      0xF0

#define CIT_DATA_PREAMBLE 0x40
#define CIT_DATA_IS_DATA  0x10

#define CIT_DATA_MEAS_HDR  0x50
#define CIT_DATA_REPLY_HDR 0x40

// TODO start at 1, move generic registers to start
typedef enum {
    CIT_CMD_PING          = 0x12,
    CIT_CMD_SET_RGB_LED   = 0x13,
    CIT_CMD_SET_DATA_FREQ = 0x14,
    CIT_CMD_GET_VERSION   = 0x15,
    //CIT_CMD_READ_TYPE     = 0x16,
    //CIT_CMD_READ_ID1     = 0x17,
    //CIT_CMD_READ_ID2     = 0x18,
} cit_cmd_t;

#ifdef   __cplusplus
}
#endif

#endif

